<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="cf2439a4dd94592b" weblate-flags="read-only, safe-html, strict-same">
        <source>= Serializing</source>
        <target state="translated">= Serializing</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bd1b1b1aee78718" weblate-flags="read-only, safe-html, strict-same">
        <source>Serialization is the process where a JSON document represented in memory by a &lt;&lt;ref_value&gt;&gt; is turned into a sequence of characters. The library provides the following free functions and types for serialization:</source>
        <target state="translated">Serialization is the process where a JSON document represented in memory by a &lt;&lt;ref_value&gt;&gt; is turned into a sequence of characters. The library provides the following free functions and types for serialization:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b4c4db868dbf643a" weblate-flags="read-only, safe-html, strict-same">
        <source>Name</source>
        <target state="translated">Name</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="read-only, safe-html, strict-same">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dfbf3a0bed486c76" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_operator_lt_lt&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_operator_lt_lt&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="49f30a6c5a073ccd" weblate-flags="read-only, safe-html, strict-same">
        <source>Serialize a &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">Serialize a &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53a3ffb059d5f214" weblate-flags="read-only, safe-html, strict-same">
        <source>to a {std_ostream}.</source>
        <target state="translated">to a {std_ostream}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1c63baa3ece6be33" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_serialize&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_serialize&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="623afa2655bb0855" weblate-flags="read-only, safe-html, strict-same">
        <source>Return a {std_string} representing a serialized &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;,</source>
        <target state="translated">Return a {std_string} representing a serialized &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ae49edd4278c6ce" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">&lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7e03364cc01cedbe" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_serializer&gt;&gt;</source>
        <target state="translated">&lt;&lt;ref_serializer&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4a08a7976041ad19" weblate-flags="read-only, safe-html, strict-same">
        <source>A stateful object which may be used to efficiently serialize one or more</source>
        <target state="translated">A stateful object which may be used to efficiently serialize one or more</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e8fb710919706b68" weblate-flags="read-only, safe-html, strict-same">
        <source>instances of &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;. |===</source>
        <target state="translated">instances of &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;. |===</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">31</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="48276e357bc3dc7a" weblate-flags="read-only, safe-html, strict-same">
        <source>To facilitate debugging and ease of output, library container types may be written to standard output streams using the stream operator:</source>
        <target state="translated">To facilitate debugging and ease of output, library container types may be written to standard output streams using the stream operator:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="014d50f68128ac09" weblate-flags="read-only, safe-html, strict-same">
        <source>The &lt;&lt;ref_serialize&gt;&gt; function converts a &lt;&lt;ref_value&gt;&gt; into a {std_string}:</source>
        <target state="translated">The &lt;&lt;ref_serialize&gt;&gt; function converts a &lt;&lt;ref_value&gt;&gt; into a {std_string}:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">42</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="248edf0e6228f72a" weblate-flags="read-only, safe-html, strict-same">
        <source>In situations where serializing a &lt;&lt;ref_value&gt;&gt; in its entirety is inefficient or even impossible, &lt;&lt;ref_serializer&gt;&gt; can be used to serialize a &lt;&lt;ref_value&gt;&gt; incrementally. This may be done for a variety of reasons, such as to avoid buffering the entire output, or to ensure that a fixed amount of work is performed in each cycle. Instances of &lt;&lt;ref_serializer&gt;&gt; maintain an output state using internal dynamically allocated structures, with an interface to retrieve successive buffers of the serialized output into a caller provided buffer. Here is an example, demonstrating how &lt;&lt;ref_operator_lt_lt&gt;&gt; may be implemented using a &lt;&lt;ref_serializer&gt;&gt;:</source>
        <target state="translated">In situations where serializing a &lt;&lt;ref_value&gt;&gt; in its entirety is inefficient or even impossible, &lt;&lt;ref_serializer&gt;&gt; can be used to serialize a &lt;&lt;ref_value&gt;&gt; incrementally. This may be done for a variety of reasons, such as to avoid buffering the entire output, or to ensure that a fixed amount of work is performed in each cycle. Instances of &lt;&lt;ref_serializer&gt;&gt; maintain an output state using internal dynamically allocated structures, with an interface to retrieve successive buffers of the serialized output into a caller provided buffer. Here is an example, demonstrating how &lt;&lt;ref_operator_lt_lt&gt;&gt; may be implemented using a &lt;&lt;ref_serializer&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">49</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6872116328ed10ba" weblate-flags="read-only, safe-html, strict-same">
        <source>As with the parser, the serializer may be reused by calling &lt;&lt;ref_serializer_reset&gt;&gt;. This sets up the object to serialize a new instance and retains previously allocated memory. This can result in performance improvements when multiple variables are serialized.</source>
        <target state="translated">As with the parser, the serializer may be reused by calling &lt;&lt;ref_serializer_reset&gt;&gt;. This sets up the object to serialize a new instance and retains previously allocated memory. This can result in performance improvements when multiple variables are serialized.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">64</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
